Eclipse Platform Release 3.7

## org.eclipse.core.commands.common
Interface IIdentifiable

All Known Implementing Classes:
  Category, Command, Context, HandleObject, NamedHandleObject, ParameterType, Scheme

    public interface IIdentifiable

An object that is unique identifiable based on the combination of its class and its identifier.

Since:
  3.2
See Also:
  `HandleObject`

Method Summary
`String` `getId()` Returns the identifier for this object.

Method Detail

### getId

    String getId()

  Returns the identifier for this object.

  Returns:
    The identifier; never `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.